# class Puppet::ModuleTool::Errors::LocalChangesError

### Public Class Methods

new(options) click to toggle source
Calls superclass method Puppet::Error.new

    # File lib/puppet/module_tool/errors/shared.rb, line 99
    def initialize(options)
      @module_name       = options[:module_name]
      @requested_version = options[:requested_version]
      @installed_version = options[:installed_version]
      @action            = options[:action]
      super "Could not #{@action} '#{@module_name}'; module is not installed"
    end

### Public Instance Methods

multiline() click to toggle source

    # File lib/puppet/module_tool/errors/shared.rb, line 107
    def multiline
      message = []
      message << "Could not #{@action} module '#{@module_name}' (#{vstring})"
      message << "  Installed module has had changes made locally"
      message << "    Use `puppet module #{@action} --force` to #{@action} this module anyway"
      message.join("\n")
    end